# Get patron

`GET /patrons/{id}`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `currency` (query, string, optional) (example: `usd`)
- `email` (query, string, optional) (example: `guest-buyer@example.com`)
- `id` (path, string, **required**) (example: `some-uuid`)

## Responses

### 200 — Returns patron by uuid

- `object` (string)
- `id` (string)
- `email` (string)
- `firstName` (string)
- `lastName` (string)
- `totalAmount` (number)
- `currency` (string)
- `orderCount` (integer)
- `createdAt` (string)
- `updatedAt` (string)
- `memberSince` (any)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)

### 404 — Returns 404 for non-existent patron

- `object` (string)
- `status` (integer)
- `message` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/get-patron
